=== debian/changelog ===
sendmail (8.17.1.9-2+deb12u2) bookworm; urgency=medium

  * QA upload
  * Use correct location for debian/NEWS.

 -- Bastien Roucariès <rouca@debian.org>  Sun, 16 Jun 2024 21:07:57 +0000

sendmail (8.17.1.9-2+deb12u1) bookworm; urgency=high

  * QA upload
  * Fix CVE-2023-51765 (Closes: #1059386):
    sendmail allowed SMTP smuggling in certain configurations.
    Remote attackers can use a published exploitation
    technique to inject e-mail messages with a spoofed
    MAIL FROM address, allowing bypass of an SPF protection
    mechanism. This occurs because sendmail supports
    <LF>.<CR><LF> but some other popular e-mail servers
    do not. This is resolved with 'o' in srv_features.
  * Enable _FFR_REJECT_NUL_BYTE for rejecting mail that
    include NUL byte
  * By default enable rejecting mail that include NUL byte.
    set confREJECT_NUL to 'true' by default .
    User could disable by setting confREJECT_NUL to false.
    (Closes: #1070190). Close a variant of CVE-2023-51765
    aka SMTP smuggling.

 -- Bastien Roucariès <rouca@debian.org>  Mon, 13 May 2024 18:44:56 +0000

sendmail (8.17.1.9-2) unstable; urgency=medium

  * QA upload.
  * Switch B-D from bsdmainutils to bsdextrautils.  (Closes: #1016431)
  * Rename qtool.8 to qtool.pl.8 to match the binary.
  * Enable _FFR_MTA_STS.  (Closes: #1027727)
  * Recommend postfix-mta-sts-resolver.
  * Update Lintian overrides.
  * Update to Standards-Version: 4.6.2.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Jan 2023 23:26:28 +0100

sendmail (8.17.1.9-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot.  (Closes: #1009078)
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 Jun 2022 01:34:48 +0200
