## sendmail 8.17.2

=== debian/changelog ===
sendmail (8.17.2-1~bpo12+1) bookworm-backports; urgency=medium

  * QA upload.
  * Rebuild for bookworm-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Aug 2023 17:36:42 +0200

sendmail (8.17.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Refresh patches.
  * Use https:// instead of ftp:// URLs.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 11 Jun 2023 13:38:55 +0200
