=== debian/changelog ===
sendmail (8.18.1-2) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066420)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Mar 2024 01:52:07 +0100

sendmail (8.18.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Switch B-D from pkg-config to pkgconf.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 09 Feb 2024 12:47:28 +0100

sendmail (8.18.0.2-1) experimental; urgency=medium

  * QA upload.
  * New upstream snapshot.
  * Refresh patches.
  * Enable _FFR_REQ_CRLF and _FFR_BARE_LF.  (Closes: #1059386)
  * Add systemd unit (calling /etc/init.d/sendmail).  (Closes: #1039365)
  * Refresh upstream signing keys.
  * salsa-ci: Use --vary=domain_host.use_sudo=1.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Jan 2024 13:35:18 +0100
