=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  make (>> 3.79.1-14),
  m4,
  linux-libc-dev (>= 2.6.21-3) [linux-any],
- pkg-config,
+ pkgconf,
  , libdb-dev, libnsl-dev, libldap2-dev, libwrap0-dev, liblockfile-dev, libsasl2-dev, libssl-dev
 Build-Conflicts:
  libbind-dev,
