=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/$/.sig/" https://ftp.sendmail.org/sendmail\.(\S*)\.tar\.gz
opts="pgpsigurlmangle=s/$/.sig/" https://ftp.sendmail.org/snapshots/sendmail\.(\S*)\.tar\.gz
