## sendmail 8.18.2

=== debian/changelog ===
sendmail (8.18.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    - Supports building with GCC 15.
  * Refresh patches.
  * Update to Standards-Version: 4.7.3.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Jan 2026 13:35:06 +0100

sendmail (8.18.1-7) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu18.  (Closes: #1097870)
  * Fix Makefile dependencies.  (Closes: #1105656)
  * Update to Standards-Version: 4.7.2.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 11:14:36 +0200

sendmail (8.18.1-6) unstable; urgency=medium

  * QA upload.
  * Use fclose() not close() on FILE*.  (Closes: #1077408)
  * Update to Standards-Version: 4.7.0.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 04 Aug 2024 18:25:02 +0200

sendmail (8.18.1-5) unstable; urgency=medium

  * QA upload
  * Drop packaging support for older sendmail versions.
  * Build with -DDANE=1.  (Closes: #1067412)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Jul 2024 10:42:43 +0200

sendmail (8.18.1-4) unstable; urgency=medium

  * QA upload
  * Use correct location for debian/NEWS.
  * Fix watch file.

 -- Bastien Roucariès <rouca@debian.org>  Sun, 16 Jun 2024 20:31:34 +0000

sendmail (8.18.1-3) unstable; urgency=medium

  * QA upload
  * Enable _FFR_REJECT_NUL_BYTE for rejecting mail that
    include NUL byte
  * By default enable rejecting mail that include NUL byte.
    set confREJECT_NUL to 'true' by default .
    User could disable by setting confREJECT_NUL to false.
    (Closes: #1070190). Close a variant of CVE-2023-51765
    aka SMTP smuggling.

 -- Bastien Roucariès <rouca@debian.org>  Mon, 13 May 2024 15:21:46 +0000
