=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: sendmail
-Priority: optional
 Section: mail
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends-Indep:
@@ -17,7 +16,7 @@
  bind-dev,
  fakeroot (<< 0.4.5),
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: http://www.sendmail.org
 Vcs-Browser: https://salsa.debian.org/debian/sendmail
 Vcs-Git: https://salsa.debian.org/debian/sendmail.git
